#include <crypto/crypto.h>

NTL_CLIENT


int main()
{
	ZZ k = hex_to_ZZ("603deb1015ca71be2b73aef0857d77811f352c073b6108d72d9810a30914dff4");
	ostring key = i2osp(k, NumBytes(k));

	ostring msg = "";

	ostring x, y;

	x = sc2_encrypt(key, msg);
	y = sc2_decrypt(key, x);

	if(msg != y)
		cout << endl << "SC2 failed " << endl;
	else
		cout << endl << "SC2 success " << endl;
}

